État de l'opération
/v1/operations/{operation_id}Renvoie l'état actuel d'une opération par son id. Alors que status est égal à queued ou running, l'opération n'est pas terminée. Une fois terminé, cochez result en cas de succès ou error en cas d'erreur.
Zones d’autorisation et d’accès · Erreurs et répétitions
Demande
curl -X GET 'https://adapt-mail.com/v1/operations/<operation_id>' \ -H 'Authorization: Bearer <access_token>'Possibilités
operation_idpathNécessairementstring · uuidX-Customer-IDheader- Option 1
stringOption 2null
Réponses
200 Réponse réussie
application/json
object
idstring · uuidID d'opération pour vérifier le statut et annuler une soumission en attente.
kindstringmailbox_id- Option 1
integerOption 2null statusstringValeurs valides:
"queued""running""succeeded""failed""uncertain""cancelled"run_atstringDate et heure en UTC. S'il n'y a pas de décalage, la valeur représente également UTC.
created_atstringDate et heure en UTC. S'il n'y a pas de décalage, la valeur représente également UTC.
completed_at- Option 1
stringDate et heure en UTC. S'il n'y a pas de décalage, la valeur représente également UTC.
Option 2null errorLa raison de l'erreur si l'opération n'a pas abouti.
Option 1stringOption 2nullresultLe résultat de l'opération. Pour l'envoi, contient des informations sur les destinataires acceptés et rejetés.
Option 1objectOption 2null
401 Connexion requise
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
403 Pas d'accès
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
404 Ressource introuvable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
409 Conflit d'État
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject
422 Erreur de validation
application/json
object
detailarrayÉléments du tableauobjectlocNécessairementarrayÉléments du tableauOption 1stringOption 2integermsgNécessairementstringtypeNécessairementstring
503 Indisponibilité temporaire
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayÉléments du tableauobject